Get cases for an alert
https://{kibana_url}
- GET /api/cases/alerts/{alertId}
You must have read privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on the owner of the cases you're seeking.
Path Parameters
-
alertIdstringrequired -
An identifier for the alert.
Query Parameters
-
owneroneOf A filter to limit the response to a specific set of applications. If this parameter is omitted, the response contains information about all the cases that the user has access to read.
-
Values:
casesobservabilitysecuritySolution
Responses
Indicates a successful call.
Response Type: object · max: 10000
-
createdAtstringrequired -
When the case was created.
-
descriptionstringrequired -
The case description.
-
idstringrequired -
The case identifier.
-
titlestringrequired -
The case title.
-
totalsrequired -
Counts of alerts, events, and user comments attached to a case.
-
alertsintegerrequired -
Number of alert attachments on the case.
-
eventsintegerrequired -
Number of event attachments on the case.
-
userCommentsintegerrequired -
Number of user comment attachments on the case.
Authorization information is missing or invalid.
-
errorstring -
messagestring -
statusCodeinteger